RagTime5TextInternal::ClusterText Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
RagTime5TextInternal::ClusterText Struct Referencefinal

low level: the text cluster of a RagTime5Text More...

Inheritance diagram for RagTime5TextInternal::ClusterText:

## Public Member Functions
| ClusterText ()
| constructor More...
| ~ClusterText () final
| destructor More...
Public Member Functions inherited from RagTime5ClusterManager::Cluster
| Cluster (Type type)
| constructor More...
virtual | ~Cluster ()
| destructor More...

## Public Attributes
RagTime5ClusterManager::Link | m_contentLink
| the main content More...
RagTime5ClusterManager::Link | m_plcDefLink
| the plc definition link More...
int | m_plcDefFreeBegin
| the plc first free block in the plc definition list More...
int | m_plcDefNumFree
| the number of free block in the plc definition list More...
RagTime5ClusterManager::Link | m_plcToStyleLink
| the plc to text style link More...
RagTime5ClusterManager::Link | m_blockCellToPlcLink
| the blockCell to plc link More...
RagTime5ClusterManager::Link | m_separatorLink
| the word/separator link More...
RagTime5ClusterManager::Link | m_footnoteLink
| the footnote link More...
RagTime5ClusterManager::Link | m_indexLink
| the index link More...
RagTime5ClusterManager::Link | m_linkDefs [5]
| the list of link zone More...
RagTime5ClusterManager::Link | m_textIntListLink
| list of a int link with size 2(only v6.6) More...
std::vector< RagTime5ClusterManager::Link > | m_unknownLinks1
| list of unkndata1 links More...
RagTime5ClusterManager::Link | m_unknownLink [3]
| list of unknown link: the three unkndata+2-3 links and the header link3 link More...
std::vector< std::vector< Block > > | m_blockList
| list of block (defined in header) More...
std::vector< Block > | m_blockCellList
| list of block (defined in blockCell list) More...
std::vector< RagTime5StructManager::ZoneLink > | m_childList
| list of child More...
std::vector< PLC > | m_PLCList
| the PLC list More...
std::vector< int > | m_separators
| the separators More...
std::multimap< int, int > | m_posToStyleIdMap
| position to plc map More...
std::vector< LinkPLC > | m_linkPLCList
| the link plc list More...
std::multimap< int, size_t > | m_posToLinkIdMap
| position to link data map More...
Public Attributes inherited from RagTime5ClusterManager::Cluster
Type | m_type
| the cluster type More...
int | m_zoneId
| the zone id More...
bool | m_hiLoEndian
| the cluster hiLo endian More...
librevenge::RVNGString | m_name
| the cluster name (if know) More...
Link | m_childLink
| the child link More...
Link | m_parentLink
| the parent link More...
Link | m_dataLink
| the main data link More...
NameLink | m_nameLink
| the name link More...
Link | m_formulaLink
| the formula cluster links (def and pos) More...
std::vector< Link > | m_settingLinks
| the settings links More...
std::vector< Link > | m_linksList
| the link list More...
std::vector< int > | m_clusterIdsList
| the cluster ids More...
bool | m_isSent
| true if the cluster was send More...

## Additional Inherited Members
Public Types inherited from RagTime5ClusterManager::Cluster
enum | Type { C_ColorPattern , C_FormulaDef , C_FormulaPos , C_Layout , C_Pipeline , C_Root , C_ClusterGProp , C_Sound , C_ButtonZone , C_ChartZone , C_GraphicZone , C_PictureZone , C_SpreadsheetZone , C_TextZone , C_GroupZone , C_ColorStyles , C_FormatStyles , C_GraphicStyles , C_TextStyles , C_UnitStyles , C_ClusterC , C_Empty , C_Unknown }
| the cluster type More...

## Detailed Description

low level: the text cluster of a RagTime5Text

## Constructor & Destructor Documentation

## ◆ ClusterText()

RagTime5TextInternal::ClusterText::ClusterText | ( |  | ) |
| inline

constructor

## ◆ ~ClusterText()

RagTime5TextInternal::ClusterText::~ClusterText | ( |  | ) |
| final

destructor

## Member Data Documentation

## ◆ m_blockCellList

std::vector<Block> RagTime5TextInternal::ClusterText::m_blockCellList

list of block (defined in blockCell list)

Referenced by RagTime5Text::send().

## ◆ m_blockCellToPlcLink

RagTime5ClusterManager::Link RagTime5TextInternal::ClusterText::m_blockCellToPlcLink

the blockCell to plc link

## ◆ m_blockList

std::vector<std::vector<Block> > RagTime5TextInternal::ClusterText::m_blockList

list of block (defined in header)

Referenced by RagTime5Text::send().

## ◆ m_childList

std::vector<RagTime5StructManager::ZoneLink> RagTime5TextInternal::ClusterText::m_childList

list of child

Referenced by RagTime5Text::send().

## ◆ m_contentLink

RagTime5ClusterManager::Link RagTime5TextInternal::ClusterText::m_contentLink

the main content

Referenced by RagTime5Text::send().

## ◆ m_footnoteLink

RagTime5ClusterManager::Link RagTime5TextInternal::ClusterText::m_footnoteLink

the footnote link

## ◆ m_indexLink

RagTime5ClusterManager::Link RagTime5TextInternal::ClusterText::m_indexLink

the index link

## ◆ m_linkDefs

RagTime5ClusterManager::Link RagTime5TextInternal::ClusterText::m_linkDefs[5]

the list of link zone

## ◆ m_linkPLCList

std::vector<LinkPLC> RagTime5TextInternal::ClusterText::m_linkPLCList

the link plc list

Referenced by RagTime5Text::readLinkZones(), and RagTime5Text::send().

## ◆ m_plcDefFreeBegin

int RagTime5TextInternal::ClusterText::m_plcDefFreeBegin

the plc first free block in the plc definition list

Referenced by RagTime5Text::readPLC().

## ◆ m_plcDefLink

RagTime5ClusterManager::Link RagTime5TextInternal::ClusterText::m_plcDefLink

the plc definition link

## ◆ m_plcDefNumFree

int RagTime5TextInternal::ClusterText::m_plcDefNumFree

the number of free block in the plc definition list

Referenced by RagTime5Text::readPLC().

## ◆ m_PLCList

std::vector<PLC> RagTime5TextInternal::ClusterText::m_PLCList

the PLC list

Referenced by RagTime5Text::readLinkZones(), RagTime5Text::readPLC(), RagTime5Text::readPLCToCharStyle(), and RagTime5Text::send().

## ◆ m_plcToStyleLink

RagTime5ClusterManager::Link RagTime5TextInternal::ClusterText::m_plcToStyleLink

the plc to text style link

Referenced by RagTime5Text::readPLCToCharStyle().

## ◆ m_posToLinkIdMap

std::multimap<int, size_t> RagTime5TextInternal::ClusterText::m_posToLinkIdMap

position to link data map

Referenced by RagTime5Text::readLinkZones(), and RagTime5Text::send().

## ◆ m_posToStyleIdMap

std::multimap<int, int> RagTime5TextInternal::ClusterText::m_posToStyleIdMap

position to plc map

Referenced by RagTime5Text::readPLCToCharStyle(), and RagTime5Text::send().

## ◆ m_separatorLink

RagTime5ClusterManager::Link RagTime5TextInternal::ClusterText::m_separatorLink

the word/separator link

Referenced by RagTime5Text::send().

## ◆ m_separators

std::vector<int> RagTime5TextInternal::ClusterText::m_separators

the separators

Referenced by RagTime5Text::send().

## ◆ m_textIntListLink

RagTime5ClusterManager::Link RagTime5TextInternal::ClusterText::m_textIntListLink

list of a int link with size 2(only v6.6)

## ◆ m_unknownLink

RagTime5ClusterManager::Link RagTime5TextInternal::ClusterText::m_unknownLink[3]

list of unknown link: the three unkndata+2-3 links and the header link3 link

## ◆ m_unknownLinks1

std::vector<RagTime5ClusterManager::Link> RagTime5TextInternal::ClusterText::m_unknownLinks1

list of unkndata1 links

The documentation for this struct was generated from the following file:

- RagTime5Text.cxx